Name:           ksshaskpass
Version:        0.3
Release:        2%{?dist}
Summary:        A KDE version of ssh-askpass with KWallet support

Group:          Applications/Internet
License:        GPL
URL:            http://www.kde-apps.org/content/show.php?content=50971
Source0:        http://hanz.nl/download/ksshaskpass-0.3.tar.gz
Source1:        ksshaskpass-README.Fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs-devel
#Requires:       openssh-clients

%description
%{summary}.

Please read %{_docdir}/%{name}-%{version}/README.Fedora for usage
instructions


%prep
%setup -q
cp -p %{SOURCE1} README.Fedora


%build
unset QTDIR && . %{_sysconfdir}/profile.d/qt.sh
%configure --disable-debug --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# should not have a desktop file (never run directly by the user)
rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/ksshaskpass.desktop

# Setup environment variables
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/kde/env/
cat > $RPM_BUILD_ROOT%{_sysconfdir}/kde/env/ksshaskpass.sh << EOF
SSH_ASKPASS=%{_bindir}/ksshaskpass
export SSH_ASKPASS
EOF

# Remove *.la files
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

rm -f %{name}.lang
# HTML doc
for lang_dir in $RPM_BUILD_ROOT%{_docdir}/HTML/* ; do
  lang=$(basename $lang_dir)
  [ "$lang" == "en" ] && d=en/%{name} || d=$lang
  echo "%lang($lang) %doc %{_docdir}/HTML/$d" >> %{name}.lang
done


%post
# update icon themes if necessary
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
# update icon themes if necessary
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.Fedora
%{_bindir}/ksshaskpass
%config(noreplace) %{_sysconfdir}/kde/env/ksshaskpass.*
%{_datadir}/icons/hicolor/*/*


%changelog
* Tue Jan 09 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.3-2
- remove useless workaround
- put the environment script in /etc/kde/env

* Sun Jan 07 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.3-1
- initial package
